# Return external authentication links

This function lists the external authentication links to the current cPanel account.

Endpoint: GET /ExternalAuthentication/get_authn_links
Version: 11.136.0.4
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_authn_links"

  - `module` (string)
    The name of the module called.
    Example: "ExternalAuthentication"

  - `result` (object)

  - `result.data` (array)

  - `result.data.link_time` (integer)
    When the user linked their account to the identity provider.
    Example: 1443124604

  - `result.data.preferred_username` (string)
    The preferred username of the account on the identity provider.
    Example: "username@gmail.com"

  - `result.data.provider_id` (string)
    The system's unique key for the identity provider.
    Example: "google"

  - `result.data.provider_protocol` (string)
    The identity provider's protocol.
    Example: "openid_connect"

  - `result.data.subject_unique_identifier` (integer)
    The unique identifier for the user at the identity provider.
    Example: 123456789012346

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 — Success
* 0 — Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


